apiVersion: external-secrets.io/v1beta1
kind: SecretStore
metadata:
  name: gitlab-secret-store
spec:
  provider:
    # provider type: gitlab
    gitlab:
      # url: https://gitlab.mydomain.com/
      auth:
        SecretRef:
          accessToken:
            name: gitlab-secret
            key: token
      projectID: "**project ID goes here**"
      groupIDs: "**groupID(s) go here**"
      inheritFromGroups: "**automatically looks for variables in parent groups**"
      environment: "**environment scope goes here**"
